Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Class ClickThroughEventFilter

    java.lang.Object
      com.bea.p13n.tracking.clickthrough.ClickThroughEventFilter

All Implemented Interfaces:
  Filter

public class ClickThroughEventFilter
extends Object
implements Filter

Filters can interact with external resources. In this case, we associate the filter with the WebflowServlet (see web.xml) so that, each time the Webflow servlet is called, this filter is invoked to generate a ClickThroughEvent for behavior tracking.

Constructor Summary
`ClickThroughEventFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)` Called when the servlet associated with this filter is invoked.
`FilterConfig` | `getFilterConfig()` Required by Filter interface
`void` | `init(FilterConfig fc)` The init method is called by the container when the filter is instantiated.
`void` | `setFilterConfig(FilterConfig fc)` Required by Filter interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickThroughEventFilter

    public ClickThroughEventFilter()

Method Detail

### init

    public void init(FilterConfig fc)
              throws ServletException

  The init method is called by the container when the filter is instantiated.

  Specified by:
    `init` in interface `Filter`
  Throws:
    `ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Filter`

### setFilterConfig

    public void setFilterConfig(FilterConfig fc)

  Required by Filter interface

### getFilterConfig

    public FilterConfig getFilterConfig()

  Required by Filter interface

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Called when the servlet associated with this filter is invoked. We fire a click through event, then send it on to the next filter in the chain, if there is one.

  Specified by:
    `doFilter` in interface `Filter`
  Throws:
    `IOException`
    `ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved